Index: WAeUP_SRP/trunk/profiles/default/layouts/application_cest.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_cest.xml	(revision 5505)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_cest.xml	(revision 5508)
@@ -335,5 +335,5 @@
     </property>
     <property name="label">Phone</property>
-    <property name="label_edit">Phone</property>
+    <property name="label_edit">Phone (international format)</property>
     <property name="description"></property>
     <property name="help"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/application_cest_2.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_cest_2.xml	(revision 5505)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_cest_2.xml	(revision 5508)
@@ -335,5 +335,5 @@
     </property>
     <property name="label">Phone</property>
-    <property name="label_edit">Phone</property>
+    <property name="label_edit">Phone (international format)</property>
     <property name="description"></property>
     <property name="help"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/application_ct.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_ct.xml	(revision 5505)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_ct.xml	(revision 5508)
@@ -335,5 +335,5 @@
     </property>
     <property name="label">Phone</property>
-    <property name="label_edit">Phone</property>
+    <property name="label_edit">Phone (international format)</property>
     <property name="description"></property>
     <property name="help"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/application_dp.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_dp.xml	(revision 5505)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_dp.xml	(revision 5508)
@@ -335,5 +335,5 @@
     </property>
     <property name="label">Phone</property>
-    <property name="label_edit">Phone</property>
+    <property name="label_edit">Phone (international format)</property>
     <property name="description"></property>
     <property name="help"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/application_manage.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_manage.xml	(revision 5505)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_manage.xml	(revision 5508)
@@ -454,5 +454,5 @@
     </property>
     <property name="label">Phone</property>
-    <property name="label_edit">Phone</property>
+    <property name="label_edit">Phone (international format)</property>
     <property name="description"></property>
     <property name="help"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/application_pce.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_pce.xml	(revision 5505)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_pce.xml	(revision 5508)
@@ -290,5 +290,5 @@
   </property>
   <property name="label">Phone</property>
-  <property name="label_edit">Phone</property>
+  <property name="label_edit">Phone (international format)</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
Index: WAeUP_SRP/trunk/profiles/default/layouts/application_pde.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_pde.xml	(revision 5505)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_pde.xml	(revision 5508)
@@ -495,5 +495,5 @@
     </property>
     <property name="label">Phone</property>
-    <property name="label_edit">Phone</property>
+    <property name="label_edit">Phone (international format)</property>
     <property name="description"></property>
     <property name="help"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/application_prence.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_prence.xml	(revision 5505)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_prence.xml	(revision 5508)
@@ -434,5 +434,5 @@
     </property>
     <property name="label">Phone</property>
-    <property name="label_edit">Phone</property>
+    <property name="label_edit">Phone (international format)</property>
     <property name="description"></property>
     <property name="help"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/application_pt.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_pt.xml	(revision 5505)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_pt.xml	(revision 5508)
@@ -335,5 +335,5 @@
     </property>
     <property name="label">Phone</property>
-    <property name="label_edit">Phone</property>
+    <property name="label_edit">Phone (international format)</property>
     <property name="description"></property>
     <property name="help"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/application_pume.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_pume.xml	(revision 5505)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_pume.xml	(revision 5508)
@@ -287,5 +287,5 @@
   </property>
   <property name="label">Phone</property>
-  <property name="label_edit">Phone</property>
+  <property name="label_edit">Phone (international format)</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
Index: WAeUP_SRP/trunk/profiles/default/layouts/application_pume2.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_pume2.xml	(revision 5505)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_pume2.xml	(revision 5508)
@@ -335,5 +335,5 @@
     </property>
     <property name="label">Phone</property>
-    <property name="label_edit">Phone</property>
+    <property name="label_edit">Phone (international format)</property>
     <property name="description"></property>
     <property name="help"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/application_sandwich.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_sandwich.xml	(revision 5505)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_sandwich.xml	(revision 5508)
@@ -335,5 +335,5 @@
     </property>
     <property name="label">Phone</property>
-    <property name="label_edit">Phone</property>
+    <property name="label_edit">Phone (international format)</property>
     <property name="description"></property>
     <property name="help"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/application_sandwich2008.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_sandwich2008.xml	(revision 5505)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_sandwich2008.xml	(revision 5508)
@@ -335,5 +335,5 @@
     </property>
     <property name="label">Phone</property>
-    <property name="label_edit">Phone</property>
+    <property name="label_edit">Phone (international format)</property>
     <property name="description"></property>
     <property name="help"></property>