Index: WAeUP_SRP/trunk/skins/waeup_fceoyo/getSchoolFee.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_fceoyo/getSchoolFee.py	(revision 5137)
+++ WAeUP_SRP/trunk/skins/waeup_fceoyo/getSchoolFee.py	(revision 5520)
@@ -14,6 +14,6 @@
 
 GRP1 = ('BIO','MAT','ISC','PHE','CHM','YOR','ARB','ENG','FRE','HAU','IGB')
-GRP2 = ('MUS','THA')
-GRP3 = ('ECO','GEO','SOS','ISS','CRS','PES')
+GRP2 = ('THA','CSC','BED','FAA','HEC','MUS')
+GRP3 = ('ECO','GEO','SOS','ISS','CRS','PES','THA')
 #GRP4 = ('CSC','AGE','BED','FAA','HEC')
 
@@ -35,77 +35,79 @@
         else:
             d['all'] = 15370
-    # new addition for prence to nce-i students whose fees are different from other nce-i students
-    elif str(brain.level) == '100' and brain.review_state == 'cleared_and_validated' and brain.entry_mode == 'prence':
-        if brain.department in GRP1:
-            d['all'] = 10120
-        elif brain.department in GRP2:
-            d['all'] = 10020
-        elif brain.department in GRP3:
-            d['all'] = 9520
-        else:
-            d['all'] = 10520
+    # new addition for prence to nce-i students whose fees are different from other nce-i students. This is now redundant!
+    #elif str(brain.level) == '100' and brain.review_state == 'cleared_and_validated' and brain.entry_mode == 'prence':
+    #    if brain.department in GRP1:
+    #        d['all'] = 10120
+    #    elif brain.department in GRP2:
+    #        d['all'] = 10020
+    #    elif brain.department in GRP3:
+    #        d['all'] = 9520
+    #    else:
+    #        d['all'] = 10520
     # NCE I (fresh)
     elif str(brain.level) == '100' and brain.review_state == 'cleared_and_validated':
         if brain.department in GRP1:
-            d['all'] = 11620
+            d['all'] = 15050
         elif brain.department in GRP2:
-            d['all'] = 11520
+            d['all'] = 15050
         elif brain.department in GRP3:
-            d['all'] = 11020
+            d['all'] = 14450
         else:
-            d['all'] = 12120
+            d['all'] = 15050
     # NCE I repeaters
     elif str(brain.level) in ('100','110') and brain.review_state == 'returning' and brain.verdict == 'C':
         if brain.department in GRP1:
-            d['all'] = 10120
+            d['all'] = 12550
         elif brain.department in GRP2:
-            d['all'] = 10020
+            d['all'] = 12550
         elif brain.department in GRP3:
-            d['all'] = 9520
+            d['all'] = 11950
         else:
-            d['all'] = 10520
+            d['all'] = 12550
     # NCE II
     elif str(brain.level) in ('100','110','120') and brain.review_state == 'returning':
         if brain.department in GRP1:
-            d['all'] = 6750
+            d['all'] = 9500
         elif brain.department in GRP2:
-            d['all'] = 6650
+            d['all'] = 10500
         elif brain.department in GRP3:
-            d['all'] = 6150
+            d['all'] = 8900
         else:
-            d['all'] = 7250
+            d['all'] = 10500
     # NCE II repeaters
     elif str(brain.level) in ('200','210') and brain.verdict == 'C':
         if brain.department in GRP1:
-            d['all'] = 6750
+            d['all'] = 9500
         elif brain.department in GRP2:
-            d['all'] = 6650
+            d['all'] = 10500
         elif brain.department in GRP3:
-            d['all'] = 6150
+            d['all'] = 8900
         else:
-            d['all'] = 7250
+            d['all'] = 10500
     # NCE III
     elif str(brain.level) in ('200','210','220'):
         if brain.department in GRP1:
-            d['all'] = 8000
+            d['all'] = 11250
         elif brain.department in GRP2:
-            d['all'] = 7400
+            d['all'] = 11250
         elif brain.department in GRP3:
-            d['all'] = 7400
+            d['all'] = 10650
         else:
-            d['all'] = 8000
+            d['all'] = 11250
     # NCE III repeaters and spillover
     elif str(brain.level) in ('300','310') and brain.verdict in ('B','C'):
         if brain.department in GRP1:
-            d['all'] = 6750
+            d['all'] = 7000
         elif brain.department in GRP2:
-            d['all'] = 6150
+            d['all'] = 7000
         elif brain.department in GRP3:
-            d['all'] = 6150
+            d['all'] = 6400
         else:
-            d['all'] = 6750           
+            d['all'] = 7000         
           
     else:
         d['all'] = 0
+
+##sandwich fees not yet modified
 else:
     # all repeaters