Index: /WAeUP_SRP/trunk/skins/waeup_fceokene/examination_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_fceokene/examination_slip.pt	(revision 5568)
+++ /WAeUP_SRP/trunk/skins/waeup_fceokene/examination_slip.pt	(revision 5568)
@@ -0,0 +1,61 @@
+  <metal:body use-macro="here/slip_template/macros/master">
+  <metal:main fill-slot="main"
+              tal:define="info context/getStudyLevelInfo;"
+              >
+    <span tal:condition="not: info">
+      <span tal:content="here/illegal_view" />
+    </span>
+    <span tal:condition="info" tal:omit-tag="">
+      <span tal:omit-tag=""
+          tal:define="is_so info/is_so;
+          is_ca info/is_ca;
+          show_check_boxes info/show_check_boxes;
+          is_student info/is_student;
+          validated info/validated;
+          cv_id info/doc/validated_by|nothing;
+          cv_member python:context.waeup_tool.getOfficerName(cv_id);
+          ">
+      <h3><span tal:content="info/level_str" /> Examination Clearance Slip</h3>
+      <br />
+      <div tal:condition="validated">
+        - cleared by <span tal:replace="cv_member" /> on <span tal:replace="python:info['doc'].validation_date.aCommon()" />
+        -
+      </div>
+      <div tal:condition="not: validated">
+        - not yet cleared -
+      </div>
+      <br />
+      <span tal:omit-tag=""
+            tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
+            layout_mode='view_info', 
+            layout_id='student_application')" 
+            />           
+      <table  cellpadding="2" cellspacing="0">
+        <tr>
+          <td valign="top" width="180px"><span class="dlabel">Faculty Id</span>:
+          </td>
+          <td> 
+            <span tal:content="info/student/faculty" />
+          </td>      
+        </tr>
+        <tr>
+          <td valign="top"><span class="dlabel">Department Id</span>:
+          </td>
+          <td> 
+            <span tal:content="info/student/department" />
+          </td>      
+        </tr>
+        <tr>
+          <td valign="top"><span class="dlabel">Study Course Id</span>:
+          </td>
+          <td> 
+            <span tal:content="info/student/course" />
+          </td>      
+        </tr>
+      </table>
+
+    </span>              
+    </span>              
+  </metal:main>
+</metal:body>
+  
Index: /WAeUP_SRP/trunk/skins/waeup_fceokene/study_level_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_fceokene/study_level_view.pt	(revision 5568)
+++ /WAeUP_SRP/trunk/skins/waeup_fceokene/study_level_view.pt	(revision 5568)
@@ -0,0 +1,341 @@
+<metal:body use-macro="here/main_template/macros/master">
+  <metal:main fill-slot="main"
+          tal:define="info context/getStudyLevelInfo;
+                      contact_student_form string:contact_student_form;
+                      study_level_view string:study_level_view;">
+  <metal:block define-macro="edit_form">   
+              
+    <span tal:condition="not: info">
+      <span tal:content="here/illegal_view" />
+    </span>
+    <span tal:condition="info">
+    <span tal:define= "is_so context/isSectionOfficer;
+    is_ca info/is_ca;
+    show_check_boxes info/show_check_boxes;
+    has_verdict info/has_verdict;
+    submission_allowed info/submission_allowed;
+    rejection_allowed info/rejection_allowed;
+    is_current_level info/is_current_level;
+    is_student info/is_student;
+    with_score not: info/without_score|nothing;
+    with_cascore not: info/without_cascore|nothing;
+    ">       
+
+    <a href=""
+       tal:attributes="href string:${here/academicsParent}">
+      <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+      Up one level
+    </a>
+
+    <div style="text-align: right" 
+         tal:condition="rejection_allowed">
+    <a href="" target="slip" tal:attributes="href string:examination_slip"
+        onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+        <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+        Examination Clearance Slip
+    </a>
+    </div>
+    
+    <div style="text-align: right" 
+         tal:condition="info/gpa">
+    <a href="" target="slip" tal:attributes="href string:new_session_results_slip"
+        onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+        <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+        Session Results Slip
+    </a>
+    </div>    
+         
+    <h3> 
+      <span tal:condition="python: is_so or is_ca">
+        <span tal:content="info/student/name" />:
+      </span>
+      <span tal:condition="is_student">My </span>
+      
+      Course Registration Form for <span tal:content="info/level_str" />
+    </h3>
+    
+        <br />
+        <table>
+          <tr>
+            <th  width="220px">Session:</th> 
+            <td><span tal:content="info/session" /></td>
+          </tr>
+          <tr>
+            <th>Total Credits:</th>
+            <td tal:content="info/total_credits" />
+          </tr>
+          <tr tal:condition="has_verdict">
+            <th>Verdict:</th> 
+            <td><span tal:content="info/verdict" /></td>
+          </tr>      
+          <tr tal:condition="info/gpa">
+            <th>GPA:</th> 
+            <td><span tal:content="info/gpa" /></td>
+          </tr>
+        </table>           
+   
+             
+    <form action="." method="post" class="group" onsubmit="return submit_once()">
+      <span tal:condition="info/carry_overs" tal:omit-tag="">
+      <h3>Carryover Courses</h3>
+      <br />
+      <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">
+
+        <tr>
+        <th tal:attributes="colspan python: test(show_check_boxes,'2','1')">Both Semesters</th>
+        <th style='text-align:center'></th> 
+        <th style='text-align:center'>sm</th>
+        <th style='text-align:center'>cr</th>
+        <th tal:condition="with_score" style='text-align:center'>sc</th>
+        <th tal:condition="with_cascore" style='text-align:center'>ca</th>
+        <th style='text-align:center'>gr</th>
+        <th style='text-align:center'>wt</th>
+        <th style='text-align:center'></th>
+        <th tal:condition="submission_allowed" style='text-align:center'></th>   
+            
+        </tr>          
+        <tr tal:repeat="row info/carry_overs"
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+      
+          <td align="left" valign="middle" style="width: 5%;"
+              tal:condition="show_check_boxes">
+            <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                   tal:define="id row/id"
+                   tal:attributes="value id;
+                   id python:'cb_' + id;
+                   checked python:id in info['choosen_ids'];" 
+                   />
+          </td>
+
+          <td width="58%" tal:content="row/title"></td>
+          <td style='text-align:center' width="10%" tal:content="row/code"></td>
+          <td style='text-align:center' width="2%"><span tal:content="row/semester" /></td>
+          <td style='text-align:center' width="2%" tal:content="row/credits"></td>
+          <td tal:condition="with_score" style='text-align:center' width="4%" tal:content="row/score"></td>
+          <td tal:condition="with_cascore" style='text-align:center' width="4%" tal:content="row/ca1"></td>
+          <td style='text-align:center' width="2%" tal:content="row/grade"></td>
+          <td style='text-align:center' width="2%" tal:content="row/weight"></td>
+          <td style='text-align:center' width="10%" tal:content="row/coe|nothing"></td>
+          
+          <td tal:condition="submission_allowed" style='text-align:center' width="5%">&nbsp;</td>
+       
+        </tr>
+      </table>
+      </span> 
+
+      <div class="" tal:condition="python: False and info['data_missing'] and not info['spillover']">
+        <font color="red">Your faculty has not yet provided the list of courses for your certificate. Please contact your faculty!</font>
+        <br /><br />
+      </div>
+       
+      <span tal:condition="not:info/data_missing" tal:omit-tag=""> 
+      <h3>Session Courses</h3>
+      <br />
+
+      <table class="contentListing" width="100%" id="folder_content">
+        
+        <span tal:repeat="sem python:(('1','First Semester Courses','normal1'),('2','Second Semester Courses','normal2'),('3','Level Courses','normal3'))">       
+                    
+        <tr tal:condition="python:info[sem[2]]">
+        <th tal:attributes="colspan python: test(show_check_boxes,'2','1')" 
+            tal:content="python:sem[1]" />
+        <th style='text-align:center'></th> 
+        <th style='text-align:center'>sm</th>
+        <th style='text-align:center'>cr</th>
+        <th tal:condition="with_score" style='text-align:center'>sc</th>
+        <th tal:condition="with_cascore" style='text-align:center'>ca</th>
+        <th style='text-align:center'>gr</th>
+        <th style='text-align:center'>wt</th>
+        <th style='text-align:center'></th>
+        <th tal:condition="submission_allowed" style='text-align:center'></th>   
+            
+        </tr>                
+        <tr tal:repeat="row python:info[sem[2]]"
+            
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+          <td align="left" valign="middle" style="width: 5%;"
+             tal:condition="show_check_boxes">
+            <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                   tal:define="id row/id"
+                   tal:attributes="value id;
+                   id python:'cb_' + id;
+                   checked python:id in info['choosen_ids'];" 
+                   />
+          </td>
+          <td width="58%" tal:content="row/title"></td>
+          <td style='text-align:center' width="10%" tal:content="row/code"></td>
+          <td style='text-align:center' width="2%"><span tal:content="row/semester" /></td>
+          <td style='text-align:center' width="2%" tal:content="row/credits"></td>
+          <td tal:condition="with_score" style='text-align:center' width="4%" tal:content="row/score"></td>
+          <td tal:condition="with_cascore" style='text-align:center' width="4%" tal:content="row/ca1"></td>
+          <td style='text-align:center' width="2%" tal:content="row/grade"></td>
+          <td style='text-align:center' width="2%" tal:content="row/weight"></td>
+          <td style='text-align:center' width="10%" tal:content="row/coe|nothing"></td>
+          
+          <td tal:condition="submission_allowed" width="5%" style='text-align:center'>
+            <a href="edit" tal:attributes="href string:course_edit/${row/code}"
+            target="edit_course_result"
+            onclick="javascript:window.open('','edit_course_result','width=600, height=350, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+            [edit]
+            </a> 
+          </td>          
+        </tr>
+        <tr><td>&nbsp;</td></tr>
+        </span>        
+        
+      </table>
+      </span>
+      
+      <br />
+      <table>
+      <tr><th>sm:</th> <td>Semester</td></tr>
+      <tr><th>cr:</th> <td>Credits</td></tr>
+      <tr tal:condition="with_score"><th>sc:</th> <td>Score</td></tr>
+      <tr tal:condition="with_cascore"><th>ca:</th> <td>CA Score</td></tr>
+      <tr><th>gr: </th> <td>Grade</td></tr>
+      <tr><th>wt: </th> <td>Weight</td></tr>
+      </table>      
+          
+      <br />
+      
+      <table tal:condition="python: is_student and show_check_boxes" width="100%" cellspacing="0" cellpadding="2"
+             class="folderButtons">
+        <tr>
+          <td align="left" valign="top" rowspan="3"></td>
+          <td align="left" valign="top">
+              <input type="submit" name="delete_course_result:method" value="Delete selected"
+                     class="destructive" i18n:attributes="value"
+                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                     ('Do you really want to delete selected courses?', )" 
+                     />
+              <input tal:condition="python: 1" type="submit" name="refresh_level:method"
+                     class="context" value="Update" 
+                     />
+                    
+                     
+              <br /><br />
+              <input tal:condition="not: info/credits_exceeded" 
+                     type="submit" name="register_courses:method"
+                     class="context" value="Submit to Course Adviser" 
+                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                     ('Do you really want to submit the course list? You will not be able to edit your data after submission.', )" />
+              <span tal:condition="info/credits_exceeded">
+                  <font color="red"> <strong>Your total credits exceed <span tal:replace="info/max_credits" />!</strong></font>
+              </span>
+                     
+              <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                     tal:attributes="value study_level_view"/>  
+                     
+              <br /><br />
+              
+              <span tal:condition="python: 1">
+              <strong>Note:</strong> 'Update' checks for all courses in your certificate and will add them to your course list irrespective of
+              prior deletion, i.e. already deleted courses will show up again. 
+              Please use this function only if you are sure that your faculty has added courses which are not yet on your course list.                                
+              </span>
+              <span tal:condition="python: 0">
+              <strong>Note:</strong> The 'Update' function has been temporarily disabled.                                 
+              </span>              
+                     
+          </td>
+        </tr>
+      </table>
+      <table tal:condition="python: is_so and show_check_boxes" width="100%" cellspacing="0" cellpadding="2"
+             class="folderButtons">
+        <tr>
+          <td align="left" valign="top" rowspan="3"></td>
+          <td align="left" valign="top">
+              <input type="button" value="Select all" class="context"
+                     onclick="someJavaScriptFunctionThatWillBeReplaced"
+                     i18n:attributes="value"
+                     tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                     % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                     />
+              <input type="submit" name="delete_course_result:method" value="Delete selected"
+                     class="destructive" i18n:attributes="value"
+                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                     ('Do you really want to delete the courses selected?', )" 
+                     />
+              <input 
+                     type="submit" name="refresh_level:method"
+                     class="context" value="Update" 
+                     />
+              <input tal:condition="submission_allowed" type="submit" name="register_courses:method"
+                     class="context" value="Submit" />  
+              <input tal:condition="info/validation_allowed" type="submit" name="validate_courses:method"
+                     class="context" value="Validate" />
+              <input tal:condition="info/rejection_allowed" type="submit" name="reject_courses:method"
+                     class="context" value="Reject" />
+                     
+              <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                     tal:attributes="value study_level_view"/>                         
+              <input type="hidden" name="action_after_reject" type="text" id="action_after_reject"
+                     tal:attributes="value contact_student_form"/>                         
+
+          </td>
+        </tr>
+      </table>
+      <table tal:condition="python:is_ca and is_current_level and not has_verdict" width="100%" cellspacing="0" cellpadding="2"
+             class="folderButtons">
+        <tr>
+          <td align="left" valign="top" rowspan="3"></td>
+          <td align="left" valign="top">
+              <input tal:condition="show_check_boxes"
+                     type="button" value="Select all" class="context"
+                     onclick="someJavaScriptFunctionThatWillBeReplaced"
+                     i18n:attributes="value"
+                     tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                     % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                     />
+              <input tal:condition="show_check_boxes"
+                     type="submit" name="delete_course_result:method" value="Delete selected"
+                     class="destructive" i18n:attributes="value"
+                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                     ('Do you really want to delete the courses selected?', )" 
+                     />
+              <input tal:condition="show_check_boxes"
+                     type="submit" name="refresh_level:method"
+                     class="context" value="Update" 
+                     />
+              <input tal:condition="submission_allowed" type="submit" name="register_courses:method"
+                     class="context" value="Submit" />  
+              <input tal:condition="info/validation_allowed" type="submit" name="validate_courses:method"
+                     class="context" value="Validate" />
+              <input tal:condition="info/rejection_allowed" type="submit" name="reject_courses:method"
+                     class="context" value="Reject" />
+                     
+              <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                     tal:attributes="value study_level_view"/>                         
+              <input type="hidden" name="action_after_reject" type="text" id="action_after_reject"
+                     tal:attributes="value contact_student_form"/>    
+                                           
+
+          </td>
+        </tr>
+      </table>
+
+    </form>
+    <br />
+      <form action="add_course_result" method="post" class="group" onsubmit="return submit_once()"
+          tal:condition="show_check_boxes">
+      <table>
+        <tr>
+          <th>Course Id</th>
+          <td><input type="text" name="course_id" 
+                     tal:attributes="value request/course_id|nothing"/></td>
+          <td colspan="2">
+            <input type="submit" name="add"
+                   class="context" value="Add Course" 
+                   />
+            <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                     tal:attributes="value study_level_view"/>                       
+          </td>                
+      </table>
+      </form>   
+  </span>
+  </span>        
+  </metal:block>    
+  </metal:main>
+
+</metal:body>
+