Index: WAeUP_SRP/trunk/skins/waeup_fceokene/examination_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_fceokene/examination_slip.pt	(revision 5568)
+++ WAeUP_SRP/trunk/skins/waeup_fceokene/examination_slip.pt	(revision 5569)
@@ -17,19 +17,27 @@
           ">
       <h3><span tal:content="info/level_str" /> Examination Clearance Slip</h3>
-      <br />
-      <div tal:condition="validated">
-        - cleared by <span tal:replace="cv_member" /> on <span tal:replace="python:info['doc'].validation_date.aCommon()" />
-        -
+      <div tal:condition="python: validated and cv_id">
+        <br />
+        - cleared by 
+            <span tal:replace="cv_member" /> on <span tal:replace="python:info['doc'].validation_date.aCommon()" /> -
+        <br />
       </div>
       <div tal:condition="not: validated">
+        <br />
         - not yet cleared -
+        <br />
       </div>
-      <br />
-      <span tal:omit-tag=""
+      <div tal:condition="python: validated and not cv_id">
+        <br />
+        - cleared by system -
+        <br />
+      </div>      
+      <span tal:condition="validated"
+            tal:omit-tag=""
             tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
             layout_mode='view_info', 
             layout_id='student_application')" 
             />           
-      <table  cellpadding="2" cellspacing="0">
+      <table  tal:condition="validated" cellpadding="2" cellspacing="0">
         <tr>
           <td valign="top" width="180px"><span class="dlabel">Faculty Id</span>:
Index: WAeUP_SRP/trunk/skins/waeup_fceokene/study_level_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_fceokene/study_level_view.pt	(revision 5568)
+++ WAeUP_SRP/trunk/skins/waeup_fceokene/study_level_view.pt	(revision 5569)
@@ -27,4 +27,13 @@
       Up one level
     </a>
+    
+    <div style="text-align: right" 
+         tal:condition="rejection_allowed">
+    <a href="" target="slip" tal:attributes="href string:course_registration_slip"
+        onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+        <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+        Course Registration Slip
+    </a>
+    </div>    
 
     <div style="text-align: right" 
Index: WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt	(revision 5568)
+++ WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt	(revision 5569)
@@ -13,16 +13,24 @@
           is_student info/is_student;
           validated info/validated;
+          cv_id info/doc/validated_by|nothing;
+          cv_member python:context.waeup_tool.getOfficerName(cv_id);          
           ">
       <h3>Course Registration Slip for <span tal:content="info/level_str" /></h3>
-      <br />
-      <div tal:condition="validated">
-        - validated by <span tal:condition="info/doc/validated_by|nothing" tal:omit-tag="">
-          <span tal:replace="info/doc/validated_by" /> on <span tal:replace="python:info['doc'].validation_date.aCommon()" />
-        </span> -
+      <div tal:condition="python: validated and cv_id">
+        <br />
+        - validated by 
+            <span tal:replace="cv_member" /> on <span tal:replace="python:info['doc'].validation_date.aCommon()" /> -
+        <br />
       </div>
       <div tal:condition="not: validated">
+        <br />
         - not yet validated by Course Adviser -
+        <br />
       </div>
-      <br />
+      <div tal:condition="python: validated and not cv_id">
+        <br />
+        - validated by system -
+        <br />
+      </div>      
       <span tal:omit-tag=""
             tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],