Index: WAeUP_SRP/trunk/skins/waeup_layout/layout_student_acco_create.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_layout/layout_student_acco_create.pt	(revision 5157)
+++ WAeUP_SRP/trunk/skins/waeup_layout/layout_student_acco_create.pt	(revision 5615)
@@ -69,50 +69,5 @@
       </span>
     </span>
-    <tr tal:condition="widgets/passport|nothing" 
-        tal:define="cell widgets/passport|nothing;">
-      <tal:block tal:define="widget cell/widget;
-      wid widget/getWidgetId;
-      err python:ds.getError(wid);
-      err_mapping python:ds.getErrorMapping(wid);
-      is_required python: widget.is_required and creation and ('create' not in widget.readonly_layout_modes);
-      tooltip_id python:wid + '_help';
-      widget_css_class widget/widget_css_class|nothing;
-      css_class python:test(err, 'row error','row')"
-      >
-        <div tal:attributes="class widget_css_class;
-        id python:widget.getHtmlWidgetId()+'_widget';"
-        >
-          <td>
-            <div class="label" tal:condition="widget/label_edit"
-                 tal:attributes="class python:test(is_required, 'label required','label')">
-              <label tal:content="widget/label_edit"
-                     tal:attributes="for cell/widget_input_area_id|nothing;">label</label>:
-            </div>
-            <button type="button" class="tooltipControl"
-                    tal:condition="widget/help"
-                    tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
-          </td>
-          <td>
-            <span class="field">
-              <div tal:replace="structure cell/widget_rendered"/>
-            </span>
-            <div class="tooltipArea" style="visibility: hidden;"
-                 tal:condition="widget/help"
-                 tal:attributes="id tooltip_id;
-                 onclick python:'showElement(false, \'%s\')' % tooltip_id;"
-                 >
-              <tal:block tal:content="widget/help">This is the help for this field
-              </tal:block>
-            </div>
-            <tal:block condition="err">
-              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
-                <br /><em style="color: red"
-                          tal:content="msg">err</em>
-              </tal:block>
-            </tal:block>
-          </td>
-        </div>
-      </tal:block>
-    </tr>
+
   </table>
   <br />
Index: WAeUP_SRP/trunk/skins/waeup_layout/layout_student_acco_edit.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_layout/layout_student_acco_edit.pt	(revision 5157)
+++ WAeUP_SRP/trunk/skins/waeup_layout/layout_student_acco_edit.pt	(revision 5615)
@@ -16,10 +16,4 @@
   apply request/apply_button|nothing;
   widgets python:context.getRenderedWidgets(layout);
-  info python: context.getAccommodationInfo();
-  maintenance_online info/online_payment|nothing;
-  
-  
-  
-  
   ">
   <form action="" id="editForm" method="post" 
@@ -55,44 +49,18 @@
               <div tal:replace="structure cell/widget_rendered"/>
             </span>
+            &nbsp;
+            <input type="submit" class="standalone" name="cpsdocument_edit_button"
+             tal:attributes="value options/button"
+             id="cpsdocument_edit_button"
+             tal:condition="python:not creation and wid == 'acco_maint_sc_pin'" />     
             </td>
+            
           </div>
         </tr>
       </span>
     </span>
-    <tr tal:condition="widgets/passport|nothing" 
-        tal:define="cell widgets/passport|nothing;">
-      <tal:block tal:define="widget cell/widget;
-      wid widget/getWidgetId;
-      err python:ds.getError(wid);
-      err_mapping python:ds.getErrorMapping(wid);
-      is_required python: widget.is_required and creation and ('create' not in widget.readonly_layout_modes);
-      tooltip_id python:wid + '_help';
-      widget_css_class widget/widget_css_class|nothing;
-      css_class python:test(err, 'row error','row')"
-      >
-        <div tal:attributes="class widget_css_class;
-        id python:widget.getHtmlWidgetId()+'_widget';"
-        >
-          <td>
-            <div class="label" tal:condition="widget/label_edit"
-                 tal:attributes="class python:test(is_required, 'label required','label')">
-              <label tal:content="widget/label_edit"
-                     tal:attributes="for cell/widget_input_area_id|nothing;">label</label>:
-            </div>
-          </td>
-          <td>
-            <span class="field">
-              <div tal:replace="structure cell/widget_rendered"/>
-            </span>
-          </td>
-        </div>
-      </tal:block>
-    </tr>
+
   </table>
-  <br />
-  <input type="submit" class="standalone" name="cpsdocument_edit_button"
-         value="Save" 
-         id="cpsdocument_edit_button"
-         tal:condition="python:not creation and not maintenance_online" />
+
 
 </form>